package com.chinacreator.datasync.job;

import com.chinacreator.datasync.services.SyncFakeidsService;
import com.chinacreator.datasync.services.SyncOfflineService;
import com.chinacreator.datasync.util.SpringContextUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 线下批量数据同步
 * 
 * @author maoya
 *
 */
@Component
public class TaskSyncFakeidsJob {

	
	@Scheduled(fixedDelayString = "${config.job.offline.fixedDelay}")  
	public void task(){
		try {
			SyncFakeidsService service = (SyncFakeidsService) SpringContextUtils.getBean(SyncFakeidsService.class);
			service.sync();
		} catch (Exception e) {}
	}
}
