package com.chinacreator.datasync.handler.process;

import java.text.SimpleDateFormat;

import org.slf4j.Logger;

import com.chinacreator.datasync.common.ConfigUtil;
import com.chinacreator.datasync.dao.QueryDbDao;
import com.chinacreator.datasync.entity.OrderBean;
import com.chinacreator.datasync.entity.OrderSyncKafkaBean;


/**
*
*
*@Description: TODO(这里用一句话描述这个类的作用) 
*@author dahai 289945476@qq.com
*@date 2017年8月26日 上午10:38:22 
*
*
*
**/
public class YoutuSyncOrderProcessor extends CommonSyncOrderProcessor implements ISyncOrderProcessor {


	@Override
	public OrderSyncKafkaBean toCPSyncOrderInfo(OrderBean orderBean, int ordertype, QueryDbDao dao, Logger logger) throws Exception {
		
		SimpleDateFormat sdf=new SimpleDateFormat("yyyyMMddHHmmss");
		String ordertime=sdf.format(orderBean.getOrdertime());
		String canceltime="";
		String endtime="";
		String channelcode = orderBean.getOrderchannel() == null || "null".equals(orderBean.getOrderchannel()) ? "" : orderBean.getOrderchannel();
		if(orderBean.getCanceltime() != null){
			canceltime=sdf.format(orderBean.getCanceltime());
		}
		if(orderBean.getEndtime() != null) {
			endtime=sdf.format(orderBean.getEndtime());
		}
		
		OrderSyncKafkaBean syncOrderInfo = new OrderSyncKafkaBean();
		syncOrderInfo.setSyncid(orderBean.getSyncid());
		syncOrderInfo.setId(orderBean.getId());
		syncOrderInfo.setCpid(orderBean.getCpid());
		
		//优酷同步的SPID
		syncOrderInfo.setSpid(ConfigUtil.getYoutuSyncSpid(orderBean.getCpid(), orderBean.getSpid(),dao));
		
		syncOrderInfo.setOrdertime(ordertime);
		syncOrderInfo.setType(orderBean.getStatus());
		syncOrderInfo.setProvince(orderBean.getProvince() == null ? "" : orderBean.getProvince());
		syncOrderInfo.setArea(orderBean.getArea() == null ?"" : orderBean.getArea());
		syncOrderInfo.setCanceltime(canceltime);
		syncOrderInfo.setEndtime(endtime);
		syncOrderInfo.setVideoid(orderBean.getVideoid() == null ? "" : orderBean.getVideoid());

		syncOrderInfo.setUsermob(orderBean.getUserid());
		syncOrderInfo.setUserid(orderBean.getUserid());
		syncOrderInfo.setChannelcode(channelcode);
		syncOrderInfo.setOrdertype(ordertype + "");
		syncOrderInfo.setFakeid(orderBean.getFakeid());
		
		String id = orderBean.getId();
		id = id.substring(id.length()-10, id.length());
		syncOrderInfo.setValid(Long.parseLong(id));
		
		return syncOrderInfo;
	}

}
