package com.chinacreator.datasync.job;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.chinacreator.datasync.services.SyncOfflineService;
import com.chinacreator.datasync.util.SpringContextUtils;

/**
 * 线下批量数据同步
 * 
 * @author maoya
 *
 */
@Component
public class TaskSyncOfflineJob {

	
	@Scheduled(fixedDelayString = "${config.job.offline.fixedDelay}")  
	public void task(){
		try {
			SyncOfflineService service = (SyncOfflineService) SpringContextUtils.getBean(SyncOfflineService.class);
			service.sync();
			
		} catch (Exception e) {}
	}
}
