package com.chinacreator.datasync.job;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.chinacreator.datasync.services.SyncOnlineService;
import com.chinacreator.datasync.util.SpringContextUtils;

/**
 * 
 * 线下批量数据同步
 * 
 * @author maoya
 *
 */
@Component
public class TaskSyncOnlineJob {

	
	@Scheduled(fixedDelayString = "${config.job.online.fixedDelay}")  
	public void task() throws Exception{
		SyncOnlineService service = (SyncOnlineService) SpringContextUtils.getBean(SyncOnlineService.class);
		service.sync();
	}
}
